Charge a purchase using a saved token.

Charge a purchase using a recurring_token provided in the request body. Its value should be an id of a Purchase that has is_recurring_token == true. This purchase will be paid using the same method (e.g. same card) as the one used to pay the recurring_token purchase.

If this operation takes too long to be processed on the acquirer side - you will get a response with status code 200 and a Purchase object having status = pending_charge in body (you will receive a corresponding Webhook callback too for a purchase.pending_charge event). To be notified of a successful operation completion, please subscribe to purchase.paid callback event - it will deliver an updated Purchase with status = paid. Alternatively, if charge fails, you will receive a purchase.payment_failure callback event.

If recurring charge fails due to payment processing error, you will receive HTTP response code 400 with error code purchase_charge_error. In this case, to get more details about the error, you should perform a GET /purchase/ request for the Purchase you tried to charge. In transaction_data.attempts[] array (newest element first) you'll find the corresponding attempt with error code and description in .error parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Object ID (UUID)

Body Params
uuid

ID of a recurring token (Purchase having is_recurring_token == true) to use.

Responses

404

No such object

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json